id: wordpress-google-analytics-dashboard-for-wp

info:
  name: ExactMetrics – Google Analytics Dashboard for WordPress (Website Stats Plugin) Detection
  author: ricardomaia
  severity: info
  reference:
    - https://wordpress.org/plugins/google-analytics-dashboard-for-wp/
  metadata:
    plugin_namespace: google-analytics-dashboard-for-wp
    wpscan: https://wpscan.com/plugin/google-analytics-dashboard-for-wp
  tags: tech,wordpress,wp-plugin,top-200

http:
  - method: GET
    path:
      - "{{BaseURL}}/wp-content/plugins/google-analytics-dashboard-for-wp/readme.txt"

    payloads:
      last_version: helpers/wordpress/plugins/google-analytics-dashboard-for-wp.txt

    extractors:
      - type: regex
        part: body
        internal: true
        name: internal_detected_version
        group: 1
        regex:
          - '(?i)Stable.tag:\s?([\w.]+)'

      - type: regex
        part: body
        name: detected_version
        group: 1
        regex:
          - '(?i)Stable.tag:\s?([\w.]+)'

    matchers-condition: or
    matchers:
      - type: dsl
        name: "outdated_version"
        dsl:
          - compare_versions(internal_detected_version, concat("< ", last_version))

      - type: regex
        part: body
        regex:
          - '(?i)Stable.tag:\s?([\w.]+)'
# digest: 4a0a00473045022100e46a556b100ab76eec9021050ea54c081d991e9c26f575616eb7a8c7e5ca08ed02203041c805bce4e09edf1effcb821e75ab99bb87b6d454f9d271c3d0647b607b66:922c64590222798bb761d5b6d8e72950